.module-video-block {
  padding: 100px 0;
  background-color: var(--darkColor);
}
.module-video-block .video-block-wrapper {
  max-width: 1280px;
  margin: 0 auto;
  padding: 0 40px;
}
.module-video-block .video-block-wrapper .title {
  display: block;
  color: #FFF;
  font-size: clamp(38px, 5vw, 60px);
  max-width: 1000px;
  margin: 0 auto;
  text-align: center;
  line-height: 80px;
  line-height: clamp(50px, 6vw, 80px);
}
.module-video-block .video-block-wrapper .video-wrapper {
  position: relative;
  margin-top: 65px;
  width: 100%;
  aspect-ratio: 11/5;
}
.module-video-block .video-block-wrapper .video-wrapper:after {
  content: "";
  position: absolute;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.15);
  z-index: 2;
}
.module-video-block .video-block-wrapper .video-wrapper button {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  inset: 0;
  z-index: 3;
  border: none;
  border-radius: 0;
  background-color: transparent;
  cursor: pointer;
  width: 100%;
  height: 100%;
}
.module-video-block .video-block-wrapper .video-wrapper video {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 1;
}

.video-popup:popover-open {
  position: fixed;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 9999;
  width: 100%;
  height: 100%;
  overscroll-behavior: contain;
}
.video-popup:popover-open .close-btn {
  color: #FFF;
  font-size: 64px;
  position: absolute;
  top: anchor(top);
  right: anchor(right);
  background-color: transparent;
  border: none;
  position-anchor: --video-container;
  z-index: 10;
  transform: translate(44px, -44px);
  border-radius: 1000px;
  width: 64px;
  height: 64px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}
.video-popup:popover-open .video-popup-wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.video-popup:popover-open .video-container {
  anchor-name: --video-container;
  width: calc(100% - 80px);
  max-height: calc(100% - 80px);
  max-width: 870px;
  aspect-ratio: 16/9;
  position: relative;
}
.video-popup:popover-open .video-container iframe {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}
